Pulsar Docs
API ReferenceAuthentication

Upsert Connection

PUT
/auth/microsoft-entra/connections/{companyId}

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

Create or update connection, identified by companyId.

Authorization

bearerAuth superuser
Authorization<token>

In: header

Scope: superuser

Path Parameters

companyId*number

The company's ID.

Formatdouble

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/auth/microsoft-entra/connections/0.1" \  -H "Content-Type: application/json" \  -d '{    "tenantId": "string",    "enabled": true  }'
{  "companyId": 0.1,  "tenantId": "string",  "providerName": "string",  "enabled": true}